Subject: Re: [IPP] Updated beta IPP Everywhere Printer Self-Certification Tools Experience

From: "Rodriguez, Eren" <[email-masked]>
Date: Tue, 10 Nov 2015 16:24:47 +0000

Hi,

While media presence does not seem to be required by IPP Everywhere, ipp-tests.test cases I-26 and I-28 assume otherwise.
I had posted about I-26 back in January. You can see the attached e-mail for more details. It is about giving printers more time to pull and realize an out of paper situation.
I-28 pauses to let testers remove paper out of a tray. Upon acknowledgement, it sends a Get-Printer-Attributes expecting  'media-empty*' in "printer-state-reasons". Only printers with presence sensors can accomplish this.

Thanks,
Eren Rodriguez @ HP Inc.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Michael Sweet
Sent: Wednesday, October 28, 2015 10:08 AM
To: ipp; IPP Everywhere Self-Certification discussion list
Subject: [IPP] Updated beta IPP Everywhere Printer Self-Certification Tools posted

All,

I have posted updated IPP Everywhere Printer Self-Certification Tools based on the latest stable draft of the self-certification manual.  Download links are below and on the IPP and IPP Everywhere web pages:

    http://www.pwg.org/ipp/everywhere.html

    http://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert10-20151009-osx.dmg
    http://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert10-20151009-rhel.tar.gz
    http://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert10-20151009-ubuntu.tar.gz
    http://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert10-20151009-windows.msi

Please report any problems with this software ASAP so I can address them.

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

Subject: IPP Everywhere Printer Self-Certification Prototype Experience
From: "Rodriguez, Eren" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 9 Jan 2015 00:00:37 +0000

Hi,

I have been playing with the IPP Everywhere Printer Self-Certification test suite and I would like to challenge a failure seen with our IPP printers at HP.

More specifically, inside ipp-tests.test, before test I-26, the tester is asked to remove paper from the printer.

Next, it sends a JPEG Print-Job request before sending a Get-Printer-Attributes request right afterwards with the expectation that "media-needed" keyword should be in "printer-state-reasons"

Due to hardware limitations, there may be printers in the world that cannot detect out of paper at the time when this request arrives.  For example, on this printer, we currently have "spool-area-full-report" to reflect we are working on the job.

Since this is a JPEG, this printer will take in the data and reply back to the Print-Job request fairly quickly. However, it does not have media presence capabilities so it needs some time, beyond the time given by the test script, to go through the mechanical motions to detect out of paper.

It would be better if the scripts adjusted to these timing issues using delays or repeats with limits.

Thank you in advance,

Eren Rodriguez @ HP inkjet

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet <[email-masked]>
Date: Tue, 10 Nov 2015 12:19:26 -0500

Eren,

> On Nov 10, 2015, at 11:24 AM, Rodriguez, Eren <[email-masked]> wrote:
> 
> Hi,
> 

Section 3.2.3.9 ("Printer Fault") explicitly mentions "out of paper" faults, and RFC 2911 (and 5100.14) require support for the "printer-state-reasons" attribute.

That said, the intent is that IPP Everywhere printers be able to report "out of paper" primarily while a job is being printed (where it matters most).  So I think the solution here is to drop the 'media-empty' test and add a delay before the 'media-needed' test.

Is 10 seconds sufficient delay after the Print-Job request?

> <Mail Attachment.eml>

_________________________________________________________
Michael Sweet, Senior Printing System Engineer

---

From: "Rodriguez, Eren" <[email-masked]>
Date: Tue, 10 Nov 2015 17:31:35 +0000

Yes - 10 seconds is sufficient to report 'media-needed' when out of paper in a job.

Thank you!

From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, November 10, 2015 9:19 AM
To: Rodriguez, Eren
Cc: ipp; IPP Everywhere Self-Certification discussion list
Subject: Re: [IPP] Updated beta IPP Everywhere Printer Self-Certification Tools Experience

Eren,

On Nov 10, 2015, at 11:24 AM, Rodriguez, Eren <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

Thanks,
Eren Rodriguez @ HP Inc.

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Michael Sweet
Sent: Wednesday, October 28, 2015 10:08 AM
To: ipp; IPP Everywhere Self-Certification discussion list
Subject: [IPP] Updated beta IPP Everywhere Printer Self-Certification Tools posted

All,

_______________________________________________
ipp mailing list
[email-masked]<mailto:[email-masked]>
https://www.pwg.org/mailman/listinfo/ipp
<Mail Attachment.eml>

---

From: Michael Sweet <[email-masked]>
Date: Tue, 10 Nov 2015 14:08:04 -0500

OK, the IPP test changes have been updated and pushed to the Github repository.

> On Nov 10, 2015, at 12:31 PM, Rodriguez, Eren <[email-masked]> wrote:
> 
> Yes - 10 seconds is sufficient to report ‘media-needed’ when out of paper in a job.
>  
> Thank you!
>  
> From: [email-masked] <mailto:[email-masked]> [mailto:[email-masked] <mailto:[email-masked]>] 
> On Nov 10, 2015, at 11:24 AM, Rodriguez, Eren <[email-masked] <mailto:[email-masked]>> wrote:
>  
> Hi,
> 
> From: [email-masked] <mailto:[email-masked]> [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Michael Sweet
>    http://www.pwg.org/ipp/everywhere.html <http://www.pwg.org/ipp/everywhere.html>
> 
>    http://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert10-20151009-osx.dmg <http://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert10-20151009-osx.dmg>
>    http://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert10-20151009-rhel.tar.gz <http://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert10-20151009-rhel.tar.gz>
>    http://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert10-20151009-ubuntu.tar.gz <http://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert10-20151009-ubuntu.tar.gz>
>    http://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert10-20151009-windows.msi <http://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert10-20151009-windows.msi>
> 
> [email-masked] <mailto:[email-masked]>
> https://www.pwg.org/mailman/listinfo/ipp <https://www.pwg.org/mailman/listinfo/ipp>
> <Mail Attachment.eml>
>